Name:		rear
Version:	1.14
Release:	%mkrel 4
Summary:	Relax and Recover (ReaR) is a Linux Disaster Recovery framework
Group:		Archiving/Backup
License:	GPLv2+
URL:		http://relax-and-recover.org/
Source0:	https://github.com/downloads/rear/rear/rear-%{version}.tar.gz
BuildArch:	noarch

Requires:	binutils
Requires:	ethtool
Requires:	cdrkit-genisoimage
Requires:	gzip
Requires:	iproute2
Requires:	iputils
Requires:	lsb
Requires:	mingetty
Requires:	parted
Requires:	rpcbind
Requires:	tar
%ifarch %ix86 x86_64 amd64
Requires:	syslinux
%endif

%description
Relax and Recover (abbreviated rear) is a highly modular disaster recovery
framework for GNU/Linux based systems, but can be easily extended to other
UNIX alike systems. The disaster recovery information (and maybe the backups)
can be stored via the network, local on hard disks or USB devices, DVD/CD-R,
tape, etc. The result is also a boot-able image that is capable of booting via
PXE, DVD/CD and USB media.

Relax and Recover integrates with other backup software and provides integrated
bare metal disaster recovery abilities to the compatible backup software.


%prep
%setup -q

%build
# no code to compile - all bash scripts

%install
# create directories
mkdir -vp \
	%{buildroot}%{_mandir}/man8 \
	%{buildroot}%{_datadir} \
	%{buildroot}%{_sysconfdir} \
	%{buildroot}%{_sbindir} \
	%{buildroot}%{_localstatedir}/lib/rear

# copy rear components into directories
cp -av usr/share/rear %{buildroot}%{_datadir}/
cp -av usr/sbin/rear %{buildroot}%{_sbindir}/
cp -av etc/rear %{buildroot}%{_sysconfdir}/

# patch rear main script with correct locations for rear components
sed -i	-e 's#^CONFIG_DIR=.*#CONFIG_DIR="%{_sysconfdir}/rear"#' \
	-e 's#^SHARE_DIR=.*#SHARE_DIR="%{_datadir}/rear"#' \
	-e 's#^VAR_DIR=.*#VAR_DIR="%{_localstatedir}/lib/rear"#' \
	%{buildroot}%{_sbindir}/rear

# update man page with correct locations
sed	-e 's#/etc#%{_sysconfdir}#' \
	-e 's#/usr/sbin#%{_sbindir}#' \
	-e 's#/usr/share#%{_datadir}#' \
	-e 's#/usr/share/doc/packages#%{_docdir}#' \
	doc/%{name}.8 >%{buildroot}%{_mandir}/man8/%{name}.8

# remove doc files under  %%{buildroot}/usr/share/rear
rm -f %{buildroot}%{_datadir}/rear/README
rm -f %{buildroot}%{_datadir}/rear/COPYING
rm -f %{buildroot}%{_datadir}/rear/AUTHORS
rm -f %{buildroot}%{_datadir}/rear/TODO
rm -rf %{buildroot}%{_datadir}/rear/doc/*

%files
%doc README AUTHORS
%{_sbindir}/rear
%{_datadir}/rear
%{_localstatedir}/lib/rear
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rear


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.14-4.mga3
+ Revision: 380263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.14-3.mga3
+ Revision: 330396
- New version 1.14 - moved to GitHub/etc.

* Thu Apr 05 2012 dams <dams> 1.11.0-3.mga2
+ Revision: 228653
+ rebuild (emptylog)

* Sat Feb 18 2012 misc <misc> 1.11.0-2.mga2
+ Revision: 210468
- fix deps

* Tue Feb 07 2012 shlomif <shlomif> 1.11.0-1.mga2
+ Revision: 206105
- imported package rear

